org.richfaces.component

## Enum UICommandButton.Properties

- java.lang.Object
- - java.lang.Enum<UICommandButton.Properties>
  - - org.richfaces.component.UICommandButton.Properties

- All Implemented Interfaces:
    Serializable, Comparable<UICommandButton.Properties>
  Enclosing class:
    UICommandButton

      protected static enum UICommandButton.Properties
      extends Enum<UICommandButton.Properties>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `accesskey`
    `bypassUpdates`
    `data`
    `disabled`
    `image`
    `limitRender`
    `onbeforedomupdate`
    `onbegin`
    `onclick`
    `oncomplete`
    `ondblclick`
    `onerror`
    `onkeydown`
    `onkeypress`
    `onkeyup`
    `onmousedown`
    `onmousemove`
    `onmouseout`
    `onmouseover`
    `onmouseup`
    `resetValues`
    `status`
    `style`
    `styleClass`
    `tabindex`
    `title`
    `type`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UICommandButton.Properties` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UICommandButton.Properties[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### accesskey

          public static final UICommandButton.Properties accesskey

    - #### bypassUpdates

          public static final UICommandButton.Properties bypassUpdates

    - #### data

          public static final UICommandButton.Properties data

    - #### disabled

          public static final UICommandButton.Properties disabled

    - #### image

          public static final UICommandButton.Properties image

    - #### limitRender

          public static final UICommandButton.Properties limitRender

    - #### onbeforedomupdate

          public static final UICommandButton.Properties onbeforedomupdate

    - #### onbegin

          public static final UICommandButton.Properties onbegin

    - #### onclick

          public static final UICommandButton.Properties onclick

    - #### oncomplete

          public static final UICommandButton.Properties oncomplete

    - #### ondblclick

          public static final UICommandButton.Properties ondblclick

    - #### onerror

          public static final UICommandButton.Properties onerror

    - #### onkeydown

          public static final UICommandButton.Properties onkeydown

    - #### onkeypress

          public static final UICommandButton.Properties onkeypress

    - #### onkeyup

          public static final UICommandButton.Properties onkeyup

    - #### onmousedown

          public static final UICommandButton.Properties onmousedown

    - #### onmousemove

          public static final UICommandButton.Properties onmousemove

    - #### onmouseout

          public static final UICommandButton.Properties onmouseout

    - #### onmouseover

          public static final UICommandButton.Properties onmouseover

    - #### onmouseup

          public static final UICommandButton.Properties onmouseup

    - #### resetValues

          public static final UICommandButton.Properties resetValues

    - #### status

          public static final UICommandButton.Properties status

    - #### style

          public static final UICommandButton.Properties style

    - #### styleClass

          public static final UICommandButton.Properties styleClass

    - #### tabindex

          public static final UICommandButton.Properties tabindex

    - #### title

          public static final UICommandButton.Properties title

    - #### type

          public static final UICommandButton.Properties type

  - ### Method Detail

    - #### values

          public static UICommandButton.Properties[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UICommandButton.Properties c : UICommandButton.Properties.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UICommandButton.Properties valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.